function existPlatform( hMainFig )

% Get the data from the application GUI
% -------------------------------------
tsg = getappdata(hMainFig, 'tsg_data');

filename = [tsg.DEFAULT_PATH_FILE '@tsg_nc' filesep 'tsg_platform.csv'];

if ~exist( 'tsg_platform.csv' )
  
  fid = fopen( filename, 'wt' );

  fprintf( fid, '%% tsg_platform.csv:  14 members & 0 lines with data \n');
  fprintf( fid, '%% $Id$ \n');
  fprintf( fid, '%% \n' );
  fprintf( fid, 'id;PLATFORM_NAME;SHIP_CALL_SIGN;SHIP_MMSI;TSG_TYPE;TSG_NUMBER;TINT_TYPE;TINT_NUMBER;SAMPLING_PERIOD;SSPS_DEPH;SSPS_DEPH_MIN;SSPS_DEPH_MAX;SSTP_DEPH;SSTP_DEPH_MIN;SSTP_DEPH_MAX;DATE_TSG;endl \n');
  fprintf( fid, 'char;char;char;char;char;char;char;char;integer;integer;integer;integer;integer;integer;integer;integer;integer \n');

  fclose( fid );
  
  % Refresh function and file system caches
  % ---------------------------------------
  rehash;
end